IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[IdentityReservationAddressNumber]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  CREATE TABLE [dbo].[IdentityReservationAddressNumber]
  (
	  [Id] [int] IDENTITY(1,1) NOT NULL,
	  [Field1] [int] NULL,
    CONSTRAINT [PK_IdentityReservationAddressNumber] PRIMARY KEY CLUSTERED 
  (
	  [Id] ASC
  )
  )

  DECLARE @Value INT
  SELECT @Value = MAX(IdentityField) FROM IdentityFields WITH (NOLOCK)
  WHERE DBTableName = 'RESERVATIONADDRESSIDENTITY'
  SET @Value = @Value + 1
  DBCC CHECKIDENT('IdentityReservationAddressNumber', RESEED, @Value) 
END
